Get Virtual Receptionist
curl --request GET \
--url https://api.voxo.co/v2/admin/virtual-receptionist/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/virtual-receptionist/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/virtual-receptionist/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"timeout": 123,
"loopOnTimeout": "<string>",
"loopOnWrongKeyPress": "<string>",
"loopPlayMessageOnce": "<string>",
"allowExtensionDialing": "<string>",
"maxLoops": 123,
"enableSpeechDetect": 123,
"branch": {
"id": 123,
"name": "<string>"
},
"announcements": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"active": 123,
"tenantId": 123,
"mediaFileId": 123,
"startDate": "<string>",
"endDate": "<string>",
"order": 123
}
],
"greetingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"keyPressDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"timeoutDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}Virtual Receptionist
Get Virtual Receptionist
Get a single virtual receptionist by ID, including announcements and destinations
GET
/
v2
/
admin
/
virtual-receptionist
/
{id}
Get Virtual Receptionist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Response
200 - application/json
Virtual receptionist details
Resolved branch
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?